LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::rdf::FileFormat Constant Group Reference

Constants to specify RDF file formats. More...

## Variables
const short | RDF_XML = 0
| RDF/XML More...
const short | N3 = 1
| N3 (Notation-3) More...
const short | NTRIPLES = 2
| N-Triples More...
const short | TRIG = 3
| TriG More...
const short | TRIX = 4
| TriX More...
const short | TURTLE = 5
| Turtle More...

## Detailed Description

Constants to specify RDF file formats.

These constants are mainly for use with XRepository::importGraph() and XRepository::exportGraph().

Note that these are integers because UNO IDL does not permit `string` constants.

Since
  OOo 3.0

See also
  XRepository::importGraph
  XRepository::exportGraph

## Variable Documentation

## ◆ N3

const short N3 = 1

N3 (Notation-3)

## ◆ NTRIPLES

const short NTRIPLES = 2

N-Triples

## ◆ RDF_XML

const short RDF_XML = 0

RDF/XML

## ◆ TRIG

const short TRIG = 3

TriG

## ◆ TRIX

const short TRIX = 4

TriX

## ◆ TURTLE

const short TURTLE = 5

Turtle